import { AwsResource } from '../../cloudformation/resources/AwsResource';
/**
  The <code>AWS::ApiGatewayV2::DomainName</code> resource specifies a custom domain name for your API in Amazon API Gateway (API Gateway).
  For full documentation go to <a href="http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-apigatewayv2-domainname.html">the AWS Docs</a>
*/
export function domainName(domainNameProps) {
    return new AwsResource('AWS::ApiGatewayV2::DomainName', domainNameProps, { RegionalHostedZoneId: 'RegionalHostedZoneId', RegionalDomainName: 'RegionalDomainName' });
}
